Integration <-
function(annotations, expressions, nb.dim.ex, LIM.ASSO = 10, LIM.COR = 0.6){

	IND.COR = function(group.element){
		if (length(group.element) > LIM.ASSO){
			nb.dim.element = min(nb.dim.ex, length(group.element))
			res.svd = svd(scale(t(expressions[group.element, ])) * sqrt(ncol(expressions)/(ncol(expressions) -1)))
			correlations = cor(res.svd$u[, 1:nb.dim.element] %*% diag(res.svd$d[1:nb.dim.element]) %*% t(res.svd$v[, 1:nb.dim.element]))		
			res = sum(correlations[lower.tri(correlations, diag = F)])/(length(group.element)*(length(group.element)-1) /2)
		} else res = 1
	return(res)
	print("o")
	}

	size = function(x){return(as.numeric(lapply(1:length(x), function(g){return(length(x[[g]]))})))}

	CBIND.LIST<-
		function(liste){
		C.liste = liste[[1]]
		for(c in 2:length(liste)){
			C.liste = cbind(C.liste, liste[[c]])
		}
		return(C.liste)	
	}
		
#------------------------------------------------------------------------------------------------------------------------------------

	groups.cor = sapply(lapply(1:ncol(annotations), function(x){return(row.names(annotations)[annotations[, x] == 1])}), IND.COR)
	annotations.p = annotations[, which(apply(annotations, 2, sum) > LIM.ASSO & groups.cor < LIM.COR)]

	SEPARATION.GO <-
		function(l){
		group.element = row.names(annotations.p)[which(annotations.p[, l] == 1)]
		nb.dim.element = min(nb.dim.ex, length(group.element))
		res.svd = svd(scale(t(expressions[group.element, ])) * sqrt(ncol(expressions)/(ncol(expressions) -1)))
		DIST = 1-cor(res.svd$u[, 1:nb.dim.element] %*% diag(res.svd$d[1:nb.dim.element]) %*% t(res.svd$v[, 1:nb.dim.element]))#^2
		dimnames(DIST) = list(group.element, group.element)
		res.class = clustering(DIST, mode = 'Classification', nb.group = 3)
		
		while(any(size(res.class)==1)){
			if(length(res.class) > 2)
				res.class = clustering(DIST, mode = 'Classification', nb.group = (length(res.class)-1))
			if(length(res.class) <= 2)
				res.class = list(group.element)
		}

		annotation.element = matrix(0, nrow(annotations), length(res.class))
		row.names(annotation.element) = row.names(annotations)
		for (i in 1:length(res.class)){
			annotation.element[as.vector(unlist(res.class[[i]])), i] = rep(1, length(res.class[[i]])) 
		}
		colnames(annotation.element) = paste(colnames(annotations.p)[l], 1:length(res.class), sep = "_")
		return(annotation.element)
	}

	if(ncol(annotations.p)  != 0)
		annotations.sep = cbind(annotations[, which(apply(annotations, 2, sum) <= LIM.ASSO | groups.cor >= LIM.COR)],CBIND.LIST(lapply(1:ncol(annotations.p), SEPARATION.GO)))

	if(ncol(annotations.p)  == 0)
		annotations.sep = annotations

	if(ncol(annotations.sep) == ncol(annotations))
		warning("No decomposition")

	return(annotations.sep)
}
