PCAsimple <-
function(data, scale = FALSE, S = NULL){ 
	Y = data
	if (is.null(S)) 
		S = min(nrow(Y) - 1, ncol(Y))
	if (scale){
		Y = scale(Y)*sqrt(nrow(Y)/(nrow(Y)-1))
	} else{
		Y = scale(Y, scale = F)
	}

	svd.usuelle = svd(Y)

	coord_ind = sweep(as.matrix(svd.usuelle$u[, 1:S]), 2, svd.usuelle$d[1:S], "*")
	coord_var = sweep(as.matrix(svd.usuelle$v[, 1:S]), 2, svd.usuelle$d[1:S], "*")
        coord_var = sweep(coord_var, 1, sqrt(nrow(Y)), FUN = "/")[, 1:S]

	res = list(((svd.usuelle$d^2/nrow(data)))[1:S], coord_ind, coord_var)
	names(res) = c('eig', 'ind', 'var')
	names(res$eig) = colnames(res$ind) = colnames(res$var) = paste("Dim", seq(1:S), sep = ".")
	row.names(res$ind) = row.names(data)
	row.names(res$var) = colnames(data)
	return(res)
}
