clustering <-
function(DIST, mode = 'Kmeans', nb.group = 3){
	if(mode == 'Kmeans'){
		group.ag = pam(DIST, nb.group, diss = TRUE)$clustering
		group.ag = lapply(1:nb.group, function(x){return(names(subset(group.ag,group.ag==x)))})
	} 
	if(mode == 'Classification'){
		ag = agnes(DIST, diss=T, method = "ward")
		sorted = sort(ag$height)
		y = (sorted[length(sorted)-nb.group+2]+sorted[length(sorted)-nb.group+1])/2
		group.ag = as.factor(cutree(as.hclust(ag), h=y))
		group.ag = lapply(1:nb.group, function(x){return(names(subset(group.ag,group.ag==x)))})
		names(group.ag) = paste("Group", 1:nb.group, sep = ".")
	}
	return(group.ag)
}
