intego <-
function(expressions, nb.dim.ex = NULL, annotations, nb.dim.an = NULL, nb.group, abaque = NULL, NB.SIM = 100, WRITE = FALSE, GRAPH = TRUE, LIM.ASSO = 4, LIM.COR = 0.5){

	na.replace <- 
		function(data){	
		for (i in which(is.na(apply(data, 2, mean)))){
			data[is.na(data[, i]), i] = rep(mean(na.omit(data[, i])), length(which(is.na(data[, i]))))
		}
		return(data)
	}

	if (is.null(nb.dim.ex))
		nb.dim.ex = min(nrow(expressions), (ncol(expressions) - 1))
	if (is.null(nb.dim.an))
		nb.dim.an = min((nrow(annotations) - 1), (ncol(annotations) - 1))
	
	if(any(is.na(match(row.names(expressions), row.names(annotations))))){stop("Different row.names")}else{
		expressions = t(na.replace(t(expressions)))

		annotations.sep = Integration(annotations, expressions, nb.dim.ex, LIM.ASSO, LIM.COR)
		DIST = dist(MCAsimple(annotations.sep)[, 1:nb.dim.an], diag = T, upper = T)
		groups = clustering(DIST, mode = "Classification", nb.group = nb.group)		
	
		groups.indic = Indicators(groups, expressions = expressions, annotations = annotations)
		groups.pval = IndicatorsPvalues(abaque = abaque, groups = groups, groups.indic = groups.indic, expressions = expressions, annotations = annotations, NB.SIM = NB.SIM)
		abaque = groups.pval[[2]] ; groups.pval = groups.pval[[1]]

		res = list(groups, groups.indic, groups.pval, abaque, annotations.sep)
		names(res) = c("groups", "indicators", "pvalues", "abaque", "annotations.sep")

		if(WRITE){
			dput(abaque, paste("abaque", "Expression", paste(nrow(expressions), "x", ncol(expressions), sep = ''), "Annotations", paste(nrow(annotations), "x", ncol(annotations), sep = ''), sep = '_'))
		}
	
		if(GRAPH){
			PlotPvalues(res, col = 1, main = "P-values", pch = 20)
		}
		return(res)
	}
}
