\name{Integration}
\alias{Integration}
\title{Building of coexpressed biological functions}
\description{Provides a binary matrix with genes in rows and coexpressed biological functions in columns}
\usage{
	Integration(annotations, expressions, nb.dim.ex, LIM.ASSO = 10, LIM.COR = 0.6)
}
\arguments{
	\item{annotations}{annotation data set with genes in rows and annotation terms in columns}
	\item{expressions}{expression data set with genes in rows and samples in columns}
	\item{nb.dim.ex}{number of underlying dimensions of the expression data set. This number will correspond to the number of dimensions kept in the clustering procedure.}
	\item{LIM.ASSO}{a number of genes associated with one biological function under which a biological function is not splited-up into coexpressed functions}
	\item{LIM.COR}{value of the indicator of coexpression above which a biological function can be considered as coexpressed}
}
\value{
	\item{annotations.sep}{a binary matrix encoding the associations betweeen genes and coexpressed biological functions}
}
%\references{}
\author{Marie Verbanck, Sébastien Lê and Jérôme Pagès}
%\note{}
%\seealso{}
%\examples{}
%\keyword{ ~kwd1 }
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
