\name{intego}
\alias{intego}
\title{Integration of biological Knowledge into expression data}
\description{
	Main function. Allows to perform the entire analysis from gene clustering based on the integration of biological knowledge to the evaluation of the clusters.
}
\usage{
	intego(expressions, nb.dim.ex = NULL, annotations, nb.dim.an = NULL, nb.group, abaque = NULL, NB.SIM = 100, WRITE = FALSE, GRAPH = TRUE, LIM.ASSO = 4, LIM.COR = 0.5)
}
\arguments{
	\item{expressions}{expression data set with genes in rows and samples in columns}
	\item{nb.dim.ex}{number of underlying dimensions of the expression data set. This number will correspond to the number of dimensions kept in the clustering procedure. If NULL, all the dimensions will be taken into account}
	\item{annotations}{annotation data set with genes in rows and annotation terms in columns}
	\item{nb.dim.an}{number of underlying dimensions of the annotation data set. This number will correspond to the number of dimensions kept in the clustering procedure. If NULL, all the dimensions will be taken into account}
	\item{nb.group}{number of gene clusters to build}
	\item{abaque}{optional, a list containing the simulated distributions used to calculate p-values associated with the indicators}
	\item{NB.SIM}{number of simulations which are performed to obtain p-value distributions associated with the indicators}
	\item{WRITE}{boolean, if TRUE the abaque file is written}
	\item{GRAPH}{boolean, if TRUE graphical outputs are displayed}
}
\value{
	\item{groups}{a list containing one element per cluster with the names of the genes}
	\item{indicators}{values of the indicators for all clusters}
	\item{pvalues}{p-values of the indicators for all clusters}
	\item{abaque}{a list containing the simulated distributions used to calculate p-values associated with the indicators}
	\item{annotations.sep}{a binary matrix encoding the associations betweeen genes and coexpressed biological functions}
}
%\references{}
\author{Marie Verbanck, Sébastien Lê and Jérôme Pagès}
%\note{}
%\seealso{}
%\examples{}
%\keyword{ ~kwd1 }
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
